# Interface BasemapJson

A basemap layer is a layer that provides geographic context to the map. A web map always contains a basemap. A web scene is not required to always contain a basemap. The basemap has a title and is the combination of each BasemapLayer.

See https://developers.arcgis.com/web-map-specification/objects/basemap/.

interface BasemapJson {
baseMapLayers?: BasemapLayerJson[];
elevationLayers?: ElevationLayerJson[];
id?: string;
title?: string;
}

#### Hierarchy (view full)

- BasemapJson
  - BasemapProperties

#####
Index

### Properties

baseMapLayers?
elevationLayers?
id?
title?

##
Properties

### `Optional` baseMapLayers

baseMapLayers?: BasemapLayerJson[]

An array of BasemapLayer objects defining the basemaps used in the web map/web scene.

### `Optional` elevationLayers

elevationLayers?: ElevationLayerJson[]

Deprecated, use ground.layers instead. An array of elevationLayer objects defining the basemaps used in the web scene.

### `Optional` id

id?: string

An identifier used to refer to the basemap when referencing it elsewhere.

NOTE: Only available in web scenes!

### `Optional` title

title?: string

String title for the basemap that can be used in a table of contents. If not defined, then it takes the title of the first baseMapLayer in the array.